package com.urbancode.air.plugin.msmq;

public class MSMQCreate extends MSMQBase {
    private queuePath;
    private queueName;
    private transactional;
    private privLevel;
    private quota;
    private journal;
    private journalQuota;

    public MSMQCreate(def props) {
        super();
        this.queueName = props['queueName'];
        this.queuePath = props['queuePath'];
        this.transactional = props['transactional'];
        this.privLevel = props['privLevel'];
        this.quota = props['quota'];
        this.journal = props['journal'];
        this.journalQuota = props['journalQuota'];
    }

    public int execute() {
        def fileName = "createQueue.vbs";
        def args = [this.queueName, this.queuePath, this.transactional, this.privLevel, this.quota, 
                this.journal, this.journalQuota];
        return runVBSScript(fileName, args, "Create Queue named " + this.queueName);
    }
}
