Dim args
Set args = WScript.Arguments
queueName = args.Item(0)
queuePath = args.Item(1)
transactional = args.Item(2)
privLevel = args.Item(3)
quota = args.Item(4)
journal = args.Item(5)
journalQuota = args.Item(6)


Dim qinfo
Set qinfo = CreateObject ("MSMQ.MSMQQueueInfo")
qinfo.PathName = queuePath
qinfo.Label = queueName 


privNoneComp = StrComp(privLevel, "none", 1)
privBodyComp = StrComp(privLevel, "body", 1)
privOptionalComp = StrComp(privLevel, "body", 1)
If privNoneComp = 0 Then
    WScript.Echo("Setting to privacy level none.")
    qinfo.PrivLevel = 0
ElseIf privBodyComp = 0 Then
    WScript.Echo("Setting to privacy level body.")
    qinfo.PrivLevel = 2 
ElseIf privOptionalComp = 0 Then
    WScript.Echo("Setting to privacy level optional.")
    qinfo.PrivLevel = 1 
Else
    WScript.Echo("Unknown Privacy Level : " + privLevel)
    WScript.Quit(1)
End If

quotaINFINITEComp = StrComp(quota, "INFINITE", 1)
If quotaINFINITEComp = 0 Then
    WScript.Echo("Setting to INFINITE Quota.")
Else
    WScript.Echo("Setting Quota to " + quota)
    qinfo.Quota = quota
End If

journalComp = StrComp(journal, "true", 1)
If journalComp = 0 Then
    WScript.Echo("Setting journaling on.")
    qinfo.Journal = 1
Else
    WScript.Echo("Setting journaling off.")
    qinfo.Journal = 0
End If

journalQuotaComp = StrComp(journalQuota, "INFINITE", 1)
If journalQuotaComp = 0 Then
    WScript.Echo("Setting journalQuota to INFINITE")
Else
    WScript.Echo("Setting journal quota to " + journalQuota)
    qinfo.JournalQuota = journalQuota
End If

    
transactionalComp = StrComp(transactional, "true", 1)
If transactionalComp = 0 Then
    WScript.Echo("Creating transactional queue")
    qinfo.Create(true)
Else
    WScript.Echo("Creating non-transactional queue")
    qinfo.Create()
End If


WScript.Quit(1337)
